GET /connect

soundcloud.com

Summary: The OAuth2 authorization endpoint. Your app redirects a user to this endpoint, allowing them to delegate access to their account.
Operation ID:
Auth: unknown
Description

<h3>Security Advice</h3> * Using the [implicit OAuth authorization flow](https://tools.ietf.org/html/draft-ietf-oauth-security-topics-16#section-2.1.2) (`response_type=token`) is **not recommended**. It can suffer from access token leakage and access token replay attacks. Use `response_type=code` instead. * Use the `state` parameter for [CSRF protection](https://tools.ietf.org/html/draft-ietf-oauth-security-topics-16#section-4.7). Pass a sufficient random nonce here and verify this nonce again after retrieving the token.

Parameters (5)

client_id (string, query, required)

The client id belonging to your application

redirect_uri (string, query, required)

The redirect uri you have configured for your application

response_type (string, query, required)

It's recommended to use "code" here

Constraints: {'enum': ['code', 'token', 'code_and_token']}

scope (string, query, required)

Scope

state (string, query, optional)

Any value included here will be appended to the redirect URI. Use this for CSRF protection.

No probe data for this endpoint yet.